Description

So if you enable ACPI and boot, it won't respond to keyboard no matter

whether you choose to boot into single- or multi-user mode?

So ... your keyboard does not work when you boot straight into the

single user mode, whether with or without ACPI driver enabled, right?

If not, I have no idea what this part really means:

> But If I boot to non-ACPI-mode, everything works

> just fine, but I can't get to sigle user mode, because prompt freezes

> there too...

If the message buffer(which dmesg command shows you) survives across

reboot, I'd like to look at it after you boot with ACPI driver enabled

and booted with `boot -v' from the boot loader prompt (did I ask if

keyboard works when you go into the boot loader prompt?).

Cheers.

History

#1 - 03/06/2007 04:35 AM - termant

Correct. I also noticed that when the login prompt is put on screen, the

num lock -indicator (on keyboard) is on and right after I try to write

something, the light goes off.

I meant that OS freezes ONLY when ACPI is enabled. The issue was that I

wanted to use single user mode and when I choose it from menu, system

freezed then too and I didn't know how to get to single user mode with

ACPI disabled, but now I do. ;-).

(1) So you want me to do the following:

1. Select 6 (Escape to loader prompt) from menu,

2. type boot -v ENTER and

3. reboot (from freeze) and send the content of dmesg to you?

(2) Isn't the content of dmesg ONLY from latest boot?

Keyboard works fine when option 6 is selected. ;-)
#2 - 03/06/2007 03:45 PM - termant

Correct. I also noticed that when the login prompt is put on screen, the

num lock -indicator (on keyboard) is on and right after I try to write

something, the light goes off.

I meant that OS freezes ONLY when ACPI is enabled. The issue was that I

wanted to use single user mode and when I choose it from menu, system

freezed then too and I didn't know how to get to single user mode with

ACPI disabled, but now I do. ;-).

(1) So you want me to do the following:

1. Select 6 (Escape to loader prompt) from menu,

2. type boot -v ENTER and

3. reboot (from freeze) and send the content of dmesg to you?

(2) Isn't the content of dmesg ONLY from latest boot?

Keyboard works fine when option 6 is selected. ;-)

EDIT

(3) Does /var/log/messages adapt to your needs?

#3 - 03/09/2007 07:16 AM - qhwt+dfly

[sorry, this message has been in my +postponed folder ...]

On Tue, Mar 06, 2007 at 05:35:46PM +0200, Tero M?ntyvaara wrote:

> > So ... your keyboard does not work when you boot straight into the

> > single user mode, whether with or without ACPI driver enabled, right?

> > If not, I have no idea what this part really means:

> >   > But If I boot to non-ACPI-mode, everything works

> >   > just fine, but I can't get to sigle user mode, because prompt freezes

> >   > there too...

>

> I meant that OS freezes ONLY when ACPI is enabled. The issue was that I

> wanted to use single user mode and when I choose it from menu, system

> freezed then too and I didn't know how to get to single user mode with

> ACPI disabled, but now I do. ;-).

Ah, that makes sense, now I understand it :)  By the way, when you boot

it with ACPI enabled and the keyboard doesn't work, can you login via

ssh from another computer?  If that works, I'd like you to send me the

following files gzip'ed.

- /var/run/dmesg.boot from the `boot -v' with ACPI enabled, and

- /var/run/dmesg.boot from the `boot -v' with ACPI disabled

Probably it depends on the hardware.  If /var/run/dmesg.boot contains

something above Copyright lines after reboot, then it preserves the

content before reboot.

No, because the message won't get written to /var/log/messages

unless syslogd is running.

Cheers.
#4 - 03/12/2007 08:59 AM - termant

NP.  ;-)

Here is my logs with and without ACPI. I used command

set hint.acpi.0.disabled=1

to disable ACPI in boot prompt.

Hope you can find fix with these. :-)

#5 - 01/06/2008 04:16 PM - qhwt+dfly

I believe that recent snapshot or Preview should solve this issue.

#6 - 08/24/2009 10:06 AM - tuxillo

There was an ACPI upgrade recently.

Can you please try to boot the machine with the latest devel snapshot ISO?

#7 - 02/18/2014 04:24 AM - tuxillo

- Description updated

- Category set to Other

- Status changed from New to Feedback

- Assignee deleted (0)

- Target version set to 3.8.0

Hi,

Is there any chance this gets tested against latest master or at least 3.6?

Cheers,

Antonio Huete

#8 - 06/02/2014 03:45 AM - tuxillo

- Category changed from Other to Unverifiable

- Target version changed from 3.8.0 to Unverifiable

Many ACPI updates have went in but no feedback. Moving to unverifiable.

Files

dmesg.boot-ACPI_OFF.tar.gz 6.88 KB 03/12/2007 termant

dmesg.boot-ACPI_ON.tar.gz 7.32 KB 03/12/2007 termant
